# 内部列の追加

マトリックス列の内部に表示する列を追加するには、系列ヘッダのメニューあるいは内部列ヘッダのメニューから「列の追加」を選択します。内部列として追加できる列の種類は以下の２種類です。

* **項目列**
* **数式列**

{% hint style="warning" %}
マトリックス列の内部列にはデータ列は追加できません。また多態関連項目をたどった項目の追加には対応していません。
{% endhint %}

## 項目列の追加 <a href="#add-field-column" id="add-field-column"></a>

項目列として選択できる項目は、内部列ではマトリックス列の作成の際に指定した関連リストオブジェクトの項目となります。タブの中にリストされている項目の一覧から、内部列として表示したい項目を選択して追加します。

![](/files/RE2GjkzfC1COPeQVHvEG)

## 数式列の追加

通常の列と同じように、内部列にも数式列を追加可能です。数式タブでは、通常の数式列の追加の場合と同じように、数式エディタを起動して数式の記述が可能です。

![](/files/7CnaNj9cadT3BIHTyCJ1)

通常の数式と同様に、同じシート内の列や他のシートの列を変数として参照したり、グローバル変数および関数を数式内で利用できますが、Salesforce項目を項目変数として直接参照することはできません。Salesforce項目の値を参照するには一旦内部列としてマトリックス列の中に追加したのち、列変数として参照する必要があります。

マトリックスの内部の数式から同じマトリックスの内部列を参照する場合、数式が評価されるセルと同じ系列にある内部列、あるいはその系列からみて指定したステップ前/後にある系列の内部列を変数として参照できます。マトリックス列の内部での数式についての詳細は「[マトリックス列と数式](/mashmatrix-sheet/ja/functions_advanced/time_series_matrix_transformation/matrix_column_and_formula.md)」を参照してください。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mashmatrix.com/mashmatrix-sheet/ja/functions_advanced/time_series_matrix_transformation/add_child_column.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
